<div align="center">
<h1>FanslySync</h1>

A simple tool to sync your fansly data with 3rd party services, securely.

</div>

## About

FanslySync was created for the [Fansly Creator Bot](https://fanslycreatorbot.com) project to securely sync Fansly data with our service and others. We wanted to create a tool that would allow creators to sync their data with our service without having to give us their Fansly credentials. This tool is open source and can be used by anyone to sync their Fansly data with any service they want -- not just ours.

## How it works

We use your Fansly API key to sync your data with our service. This way, you don't have to give us your Fansly credentials. While it does provide the same access to your data as your credentials would, it's a more secure way to sync your data. **Your API key is never stored outside of your own computer.**

## Getting Started & Installation

We have a documentation page that explains how to get started with FanslySync. You can find it [here](https://docs.fanslycreatorbot.com/docs/for-creators/sync).

If you aren't using Fansly Creator Bot, you can ignore the parts about setting up the bot and just follow the FanslySync installation instructions.


## License

This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.

## Contributing

Contributions are welcome! Please read our [CONTRIBUTING.md](CONTRIBUTING.md) file for more information.

## For Developers

If you are a 3rd party service that wants to integrate with FanslySync, please read our [DEVELOPERS.md](DEVELOPERS.md) file for more information.